%global         snapdate   20130415
%global         snapver    %{snapdate}cvs
# Keep in mind upstream name is "libexif-gtk":
%global         upname     libexif-gtk

Name:           libexif-gtk3
Version:        0.4.1
Release:        0.13.%{snapver}%{?dist}
Summary:        Library to display EXIF tags in GTK3 programs
Summary(fr):    Bibliothèque pour afficher les étiquettes EXIF dans les logiciels en GTK3

License:        LGPLv2+
URL:            http://libexif.sourceforge.net/


# Build tarball from the CVS repo:
#   cvs -z3 -d:pserver:anonymous@libexif.cvs.sourceforge.net:/cvsroot/libexif co -P libexif-gtk
#   tar -Jcf libexif-gtk-0.4.1-20130415cvs.tar.xz libexif-gtk/
Source0:        %{upname}-%{version}-%{snapver}.tar.xz


BuildRequires:  libexif-devel
BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  gtk3-devel


%description
Libexif-gtk3 is a library of widgets to help display EXIF tags in GTK3
programs.

%description -l fr
Libexif-gtk3 est une bibliothèque d'accessoires pour aider à l'affichage
des étiquettes EXIF dans les logiciels en GTK3.



%package devel
Summary:       Files needed for building applications with libexif-gtk3
Summary(fr):   Fichiers nécessaires pour construire des applications avec libexif-gtk3

Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      libexif-devel%{?_isa}
Requires:      gtk3-devel%{?_isa}


%description devel
The libexif-gtk3-devel package includes header files and libraries
necessary for developing programs which use the libexif-gtk3 library.

%description devel -l fr
Le paquet libexif-gtk3-devel inclue les fichiers en-têtes et bibliothèques
nécessaires au développement des programmes utilisant la bibliothèque
libexif-gtk3.



%package -n libexif-gtk2
Summary:        Library to display EXIF tags in GTK2 programs
Summary(fr):    Bibliothèque pour afficher des données EXIF dans les programmes en GTK2


%description -n libexif-gtk2
Libexif-gtk2 is a library of widgets to help display EXIF tags in GTK2
programs.

%description -n libexif-gtk2 -l fr
Libexif-gtk2 est une bibliothèque d'accessoires pour aider à l'affichage
des données EXIF dans les programmes en GTK2.



%package -n libexif-gtk2-devel
Summary:       Files needed for building applications with libexif-gtk2
Summary(fr):   Fichiers nécessaires pour construire des applications avec libexif-gtk2

Requires:      libexif-gtk2%{?_isa} = %{version}-%{release}
Requires:      libexif-devel%{?_isa}
Requires:      gtk2-devel%{?_isa}


%description -n libexif-gtk2-devel
The libexif-gtk2-devel package includes header files and libraries
necessary for developing programs which use the libexif-gtk2 library.

%description -n libexif-gtk2-devel -l fr
Le paquet libexif-gtk2-devel inclue les fichiers en-têtes et bibliothèques
nécessaires au développement des programmes utilisant la bibliothèque
libexif-gtk2.



%prep
%setup -qc

# Duplicate source for GTK3 and GTK2 builds
cp -pr %{upname} %{name}

cd %{upname}
./autogen.sh

cd ../%{name}
./autogen.sh


%build
# Build with GTK2:
cd %{upname}
%configure --disable-static
# Fix rpmlint warning: unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

# Build with GTK3:
cd ../%{name}
%configure --disable-static  \
           --with-gtk3
# Fix rpmlint warning: unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
# Install GTK2 build:
cd %{upname}
make install DESTDIR=%{buildroot}
%find_lang %{upname}-5

# Install GTK3 build:
cd ../%{name}
make install DESTDIR=%{buildroot}
%find_lang %{upname}-5

rm -f %{buildroot}%{_libdir}/%{upname}*.la



%check
cd %{upname}
make check

cd ../%{name}
make check


%post -p /sbin/ldconfig
%post -n libexif-gtk2 -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun -n libexif-gtk2 -p /sbin/ldconfig


%files -f %{name}/%{upname}-5.lang
%doc %{name}/{COPYING,NEWS,README,ChangeLog}
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{upname}/


%files -n libexif-gtk2 -f %{upname}/%{upname}-5.lang
%doc %{upname}/{COPYING,NEWS,README,ChangeLog}
%{_libdir}/%{upname}.so.*


%files -n libexif-gtk2-devel
%{_libdir}/%{upname}.so
%{_libdir}/pkgconfig/%{upname}.pc
%{_includedir}/%{upname}/



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.13.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.12.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.11.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.10.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Matthieu Saulnier <fantom@fedoraproject.org> - 0.4.1-0.9.20130415cvs
- Fix french translation
- Fix quote missing in %%changelog entry

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.8.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-0.7.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-0.6.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-0.5.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-0.4.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-0.3.20130415cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.4.1-0.2.20130415cvs
- New upstream snapshot
- Rename Main package as "libexif-gtk3" (old name was "libexif-gtk")
- Rename first subpackage as "libexif-gtk3-devel" (old name was "libexif-gtk-devel")
- Rename second subpackage as "libexif-gtk2" (old name was "libexif-gtk-gtk3-libs")
- Rename third subpackage as "libexif-gtk2-devel" (old name was "libexif-gtk-gtk3-devel")
- Add %%{upname} macro to preserve some upstream paths

* Sat Mar 23 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.4.1-0.1.20130323cvs
- Fix rpmlint warning 'unused-direct-shlib-dependency'
- New upstream snapshot

* Wed Feb 13 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-0.3.20130210cvs
- Fix release tag
- Add BuildRequires for GTK3
- Fix typo in Summary(fr) tag
- Remove pkgconfig requirement in devel subpackage
- Fix typo in french %%description of devel subpackage
- Add gtk3-libs subpackage
- Add gtk3-devel subpackage
- Remove empty authors docfile in %%doc section

* Tue Feb 12 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-2.20130210cvs
- Fix license tag
- Add missing requires tags in devel subpackage
- Add test suite in %%check section

* Sun Feb 10 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-1.20130210cvs
- Initial release
